Create Refresh Intent
curl --request POST \
--url https://api.fintoc.com/v1/refresh_intentsimport requests
url = "https://api.fintoc.com/v1/refresh_intents"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.fintoc.com/v1/refresh_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"id\": \"ri_2dXqkOKkS9mOvnaW\",\n \"object\": \"refresh_intent\",\n \"refreshed_object\": \"link\",\n \"refreshed_object_id\": \"link_6n12zLmai3lLE9Dq\",\n \"status\": \"created\",\n \"created_at\": \"2021-08-23T18:22:46.792Z\",\n \"type\": \"only_last\"\n}""{\n \"error\": {\n \"type\": \"invalid_request_error\",\n \"message\": \"This Link was recently refreshed.You have to wait at least 5 minutes between refresh intents\",\n \"code\": \"rate_limit_exceeded\",\n \"param\": null,\n \"doc_url\": \"https://docs.fintoc.com/reference#errores\"\n }\n}"Refresh Intents
Create Refresh Intent
POST
/
refresh_intents
Create Refresh Intent
v1 · Base URL https://api.fintoc.com/v1Headers
Fintoc Secret Key
Query Parameters
The access token of the Link that wants to be updated, returned when creating said Link.
In test mode it allows you to decide the result of the Refresh Intent. In live mode it is ignored.
Available options:
succeeded, failed, rejected The statement we are refreshing. only_last retrieves the provisional statement. historical retrieves the historical statement.
Was this page helpful?